SecurityPkg: Support PP version lower than 1.3
authorZhang, Chao B <chao.b.zhang@intel.com>
Fri, 2 Feb 2018 08:16:05 +0000 (16:16 +0800)
committerZhang, Chao B <chao.b.zhang@intel.com>
Tue, 6 Feb 2018 04:59:15 +0000 (12:59 +0800)
commit84391f57955bc92fb81c81410a022bed4d3304b3
tree30b1edfdab65d71b368fc2b6d06da85f8f9f08be
parentc0d9813cec397c293d89c79678335a71df7d4f6e
SecurityPkg: Support PP version lower than 1.3

TCG PP 1.2 & PP 1.3 spec defined different Opcodes.
Update code to support both.

Cc: Long Qin <qin.long@intel.com>
Cc: Yao Jiewen <jiewen.yao@intel.com>
Contributed-under: TianoCore Contribution Agreement 1.1
Signed-off-by: Chao Zhang <chao.b.zhang@intel.com>
Reviewed-by: Long Qin <qin.long@intel.com>
Reviewed-by: Yao Jiewen <jiewen.yao@intel.com>
SecurityPkg/Library/SmmTcg2PhysicalPresenceLib/SmmTcg2PhysicalPresenceLib.c
SecurityPkg/Library/SmmTcg2PhysicalPresenceLib/SmmTcg2PhysicalPresenceLib.inf